@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap');

.site-header {
    background: #fff;
    padding: 0;
}

body {
    background: #f5f5f8;
    font-family: Quicksand, 'Open Sans', sans-serif;
}

@media (min-width: 768px) {
    .col-full {
        max-width: 1290px;
    }
}

/* MENUS DU HAUT */

/* Branding */

@media (min-width: 768px) {
    .woocommerce-active .site-header .site-branding {
        width: 18%;
        margin: .75rem 2rem .75rem 0;
    }

    .woocommerce-active .site-header .site-branding .logo-image {
        display: inline-block;
        vertical-align: middle;
        margin-right: 0.25em;
        height: 2.5rem;
        width: auto;
    }

    .woocommerce-active .site-header .site-branding .site-title {
        display: inline-block;
    }
    
    /* Style pour le texte du titre */
    .woocommerce-active .site-header .site-branding .site-title a {
        display: inline-flex; /* Garde l'image et le texte alignés horizontalement */
        align-items: center;
        text-decoration: none;
        color: inherit; /* Conserve la couleur par défaut */
    }
}

/* Navigation */

@media (min-width: 768px) {
    .main-navigation ul.menu, .main-navigation ul.nav-menu {
        margin-left: 0em;
    }

    .main-navigation ul.menu>li>a, .main-navigation ul.nav-menu>li>a {
        padding: 1.36rem 0.5em;
    }

    .woocommerce-active .site-header .main-navigation {
        width: auto;
    }

    .main-navigation, .secondary-navigation {
        clear: none !important;
    }
}

/* Barre de recherche */
@media (min-width: 768px) {
    .woocommerce-active .site-header .site-search {
        float: right;
    }
}

/* Panier */
@media (min-width: 768px) {
    .woocommerce-active .site-header .site-header-cart {
        width: auto;
        float: right;
    }

    .site-header-cart .woocommerce-Price-amount, .site-header-cart .count {
        display: none !important;
    }
}

/* HOMEPAGE */

.page-template-template-homepage .type-page {
    padding: 0;
}

.page-template-template-homepage:not(.has-post-thumbnail) .site-main {
    padding-top: 0;
}

.hentry {
    margin-bottom: 5rem;
}

/* Carousel */

.owl-carousel {
    width: 100vw !important; /* Prend toute la largeur de la fenêtre */
    margin-left: calc(50% - 50vw) !important; /* Centre la div tout en prenant la largeur totale */
}

/* PRODUITS */

/* Boutons */

ul.products li.product .button, ul.products .wc-block-grid__product .button, .wc-block-grid__products li.product .button, .wc-block-grid__products .wc-block-grid__product .button {
    border-radius: 2rem;
}

button.alt, input[type="button"].alt, input[type="reset"].alt, input[type="submit"].alt, .button.alt, .widget-area .widget a.button.alt {
    border-radius: 2rem;
}

.added_to_cart.alt, .added_to_cart, .widget a.button.checkout {
    border-radius: 2rem;
}

/* Images */

ul.products li.product img, ul.products .wc-block-grid__product img, .wc-block-grid__products li.product img, .wc-block-grid__products .wc-block-grid__product img {
    border-radius: 1rem;
}

/* Quantite */

.quantity .qty {
    border-radius: 2rem;
    background: #f5f5f8;
    box-shadow: none;
    border: 1px solid #f7988c;
}

/* ARCHIVES ET LISTES */
h2.section-title {
    font-weight: 700;
    font-size: 3rem;
    color: #bf4c4c;
}

/* DETAIL PRODUIT */

@media (min-width: 768px) {
    .right-sidebar .content-area {
        width: 100%;
    }
}

.product_title.entry-title {
    font-weight: 500;
    color: #bf4c4c;
}





.woocommerce-product-gallery__image img {
    width: 100%;
    height: auto;
    max-width: none;
}

.woocommerce-product-gallery__image {
    border-radius: 1rem;
}

@media (min-width: 768px) {
    .single-product div.product .woocommerce-product-gallery {
        width: 47% !important;
    }

    .single-product div.product .summary {
        width: 47% !important;
    }
}







.product-category .woocommerce-category-image-wrapper, .product .woocommerce-product-image-wrapper {
    position: relative;
    display: block;
    overflow: hidden;
    border-radius: 1rem;
    margin-bottom: 1.618em;
    background-color: red;
}

.product-category img, .product img {
    transition: all 0.3s ease;
    transform: scale(1);
    object-fit: cover;
    border-radius: 0 !important;
    margin-bottom: 0 !important;
}

.product-category .woocommerce-category-image-wrapper::before, .product .woocommerce-product-image-wrapper::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(circle, rgba(0, 0, 0, 0) 60%, rgba(0, 0, 0, 0.7) 100%);
    z-index: 10;
    transition: opacity 0.3s ease;
    opacity: 0;
}

.product-category:hover .woocommerce-category-image-wrapper::before, .product:hover .woocommerce-product-image-wrapper::before {
    opacity: 1;
}

.product-category:hover img, .product:hover img {
    transform: scale(1.1);
    filter: brightness(95%);
}